diff --git a/tests/data/sys-file-reader.at b/tests/data/sys-file-reader.at
index a00ef2b..900df27 100644
--- a/tests/data/sys-file-reader.at
+++ b/tests/data/sys-file-reader.at
@@ -129,7 +129,7 @@ DISPLAY FILE LABEL.
 DISPLAY DICTIONARY.
 LIST.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps])
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps])
   AT_CHECK([cat pspp.csv], [0], [dnl
 File label: PSPP synthetic test file: ôõöø
 
@@ -221,7 +221,7 @@ GET FILE='sys-file.sav'.
 DISPLAY DICTIONARY.
 LIST.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps])
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps])
   AT_CHECK([cat pspp.csv], [0], [dnl
 Variable,Description,Position
 num1,Format: F8.0,1
@@ -275,7 +275,7 @@ GET FILE='sys-file.sav'.
 DISPLAY DICTIONARY.
 LIST.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps])
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps])
   AT_CHECK([cat pspp.csv], [0], [dnl
 Variable,Description,Position
 num1,Format: F8.0,1
@@ -408,7 +408,7 @@ for variant in be le; do
 GET FILE='sys-file.sav'.
 DISPLAY DICTIONARY.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps])
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps])
   AT_CHECK([cat pspp.csv], [0], [dnl
 Variable,Description,Position
 num1,"Format: F8.0
@@ -547,7 +547,7 @@ GET FILE='sys-file.sav'.
 DISPLAY DOCUMENTS.
 LIST.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps])
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps])
   AT_CHECK([cat pspp.csv], [0], [dnl
 Documents in the active dataset:
 
@@ -635,7 +635,7 @@ for variant in be le; do
 GET FILE='sys-file.sav'.
 MRSETS /DISPLAY NAME=ALL.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps])
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps])
   AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Multiple Response Sets
 Name,Variables,Details
@@ -719,7 +719,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [dnl
 SYSFILE INFO FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps])
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps])
   AT_CHECK([sed 7q pspp.csv], [0], [dnl
 File:,sys-file.sav
 Label:,"PSPP synthetic
@@ -795,7 +795,7 @@ for variant in be le; do
 GET FILE='sys-file.sav'.
 DISPLAY DICTIONARY.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps])
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps])
   AT_CHECK([cat pspp.csv], [0], [dnl
 Variable,Description,Position
 a,"Format: F8.0
@@ -901,7 +901,7 @@ for variant in be le; do
 GET FILE='sys-file.sav'.
 DISPLAY DICTIONARY.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps])
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps])
   AT_CHECK([cat pspp.csv], [0], [dnl
 Variable,Description,Position
 a,"Format: F8.0
@@ -1008,7 +1008,7 @@ for variant in be le; do
 GET FILE='sys-file.sav'.
 DISPLAY DICTIONARY.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps])
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps])
   AT_CHECK([cat pspp.csv], [0], [dnl
 Variable,Description,Position
 LongVariableName1,Format: F8.0,1
@@ -1077,7 +1077,7 @@ GET FILE='sys-file.sav'.
 DISPLAY DICTIONARY.
 LIST.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps])
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps])
   AT_CHECK([cat pspp.csv], [0], [dnl
 Variable,Description,Position
 séq256,Format: A256,1
@@ -1152,7 +1152,7 @@ for variant in be le; do
 GET FILE='sys-file.sav'.
 DISPLAY @ATTRIBUTES.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps])
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps])
   AT_CHECK([cat pspp.csv], [0],
 [[Variable,Description
 FirstVariable,"Attribute,Value
@@ -1176,7 +1176,7 @@ SécondAttr[2],456
 GET FILE='sys-file.sav'.
 DISPLAY DICTIONARY.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps])
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps])
   AT_CHECK([cat pspp.csv], [0],
 [[Variable,Description,Position
 FirstVariable,"Format: F8.0
@@ -1256,7 +1256,7 @@ for variant in be le; do
 GET FILE='sys-file.sav'.
 DISPLAY DICTIONARY.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps], [0], [dnl
 warning: `sys-file.sav': Invalid role for variable x.
 ])
   AT_CHECK([cat pspp.csv], [0], [dnl
@@ -1325,7 +1325,7 @@ GET FILE='sys-file.sav'.
 DISPLAY DICTIONARY.
 LIST.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps])
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps])
   AT_CHECK([cat pspp.csv], [0], [dnl
 Variable,Description,Position
 num1,Format: F8.0,1
@@ -1387,7 +1387,7 @@ GET FILE='sys-file.sav'.
 DISPLAY DICTIONARY.
 LIST.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps], [0])
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps], [0])
   AT_CHECK([cat pspp.csv], [0], [dnl
 Variable,Description,Position
 num1,Format: F8.0,1
@@ -1449,7 +1449,7 @@ GET FILE='sys-file.sav'.
 DISPLAY DICTIONARY.
 LIST.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps], [0], 
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps], [0], 
     [warning: `sys-file.sav' near offset 0x54: Compression bias is not the usual value of 100, or system file uses unrecognized floating-point format.
 ])
   AT_CHECK([cat pspp.csv], [0], [dnl
@@ -1550,7 +1550,7 @@ GET FILE='sys-file.sav'.
 DISPLAY DICTIONARY.
 LIST.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps])
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps])
   AT_CHECK([cat pspp.csv], [0], [dnl
 Variable,Description,Position
 num1,Format: F8.0,1
@@ -1595,13 +1595,13 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [dnl
 GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], [dnl
 sys-file.sps:1: error: GET: `sys-file.sav': Data file dictionary has no variables.
 ])
 
   dnl At one point pspp-convert would hang forever if there were no variables,
   dnl so check against regression.
-  AT_CHECK([pspp-convert sys-file.sav sys-file.txt])
+  AT_CHECK([$RUNNER $PSPPCONVERT sys-file.sav sys-file.txt])
   AT_CHECK([cat sys-file.txt], [0], [
 ])
 done
@@ -1636,7 +1636,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [dnl
 GET 'sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [stdout])
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [stdout])
   AT_CHECK([sed 's/default encoding.*For/default encoding.  For/' stdout], [0], [dnl
 "warning: `sys-file.sav': This system file does not indicate its own character encoding.  Using default encoding.  For best results, specify an encoding explicitly.  Use SYSFILE INFO with ENCODING=""DETECT"" to analyze the possible encodings."
 ])
@@ -1660,7 +1660,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], 
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], 
    [error: `sys-file.sav' near offset 0xd4: Misplaced type 4 record.
 ])
 done
@@ -1683,7 +1683,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], 
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], 
    [error: `sys-file.sav' near offset 0xd4: Unrecognized record type 8.
 ])
 done
@@ -1709,7 +1709,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], 
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], 
    [warning: `sys-file.sav': File header claims 2 variable positions but 1 were read from file.
 ])
 done
@@ -1735,7 +1735,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], 
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], 
    [error: `sys-file.sav' near offset 0xb4: Invalid variable name `$UM1'.
 ])
 done
@@ -1761,7 +1761,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], 
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], 
    [error: `sys-file.sav' near offset 0xb4: Invalid variable name `TO'.
 ])
 done
@@ -1787,7 +1787,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], 
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], 
    [error: `sys-file.sav' near offset 0xb4: Bad width 256 for variable VAR1.
 ])
 done
@@ -1817,7 +1817,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 DISPLAY DICTIONARY.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0],
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0],
    [warning: `sys-file.sav' near offset 0xd4: Renaming variable with duplicate name `VAR1' to `VAR001'.
 
 Variable,Description,Position
@@ -1847,7 +1847,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], 
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], 
    [error: `sys-file.sav' near offset 0xb4: Variable label indicator field is not 0 or 1.
 ])
 done
@@ -1873,7 +1873,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], 
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], 
    ["error: `sys-file.sav' near offset 0xb4: Numeric missing value indicator field is not -3, -2, 0, 1, 2, or 3."
 ])
 done
@@ -1899,7 +1899,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], 
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], 
    ["error: `sys-file.sav' near offset 0xb4: String missing value indicator field is not 0, 1, 2, or 3."
 ])
 done
@@ -1926,7 +1926,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], 
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], 
    [error: `sys-file.sav' near offset 0xb4: Missing string continuation record.
 ])
 done
@@ -1963,7 +1963,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 warning: `sys-file.sav' near offset 0xc0: Variable NUM1 with width 0 has invalid print format 0xff0800.
 
 warning: `sys-file.sav' near offset 0xe0: Variable VAR1 with width 0 has invalid print format 0x10800.
@@ -2049,7 +2049,7 @@ for variant in be le; do
 GET FILE='sys-file.sav'.
 DISPLAY DICTIONARY.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0],
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0],
    ["warning: `sys-file.sav' near offset 0x1f8: Long string missing values record says variable STR1 has 0 missing values, but only 1 to 3 missing values are allowed."
 
 "warning: `sys-file.sav' near offset 0x201: Long string missing values record says variable STR2 has 4 missing values, but only 1 to 3 missing values are allowed."
@@ -2094,7 +2094,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 DISPLAY DICTIONARY.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0],
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0],
    [warning: `sys-file.sav': Ignoring string variable `STR1' set as weighting variable.
 
 Variable,Description,Position
@@ -2127,7 +2127,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], 
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], 
    [error: `sys-file.sav' near offset 0x4c: Variable index 3 not in valid range 1...2.
 ])
 done
@@ -2157,7 +2157,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], 
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], 
    [error: `sys-file.sav' near offset 0x4c: Variable index 3 refers to long string continuation.
 ])
 done
@@ -2190,7 +2190,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [dnl
 GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], [dnl
 error: `sys-file.sav' near offset 0x12c: Duplicate type 6 (document) record.
 ])
 done
@@ -2221,7 +2221,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [dnl
 GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], [dnl
 error: `sys-file.sav' near offset 0xd4: Number of document lines (0) must be greater than 0 and less than 26843545.
 ])
 done
@@ -2245,7 +2245,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [dnl
 GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], [dnl
 error: `sys-file.sav' near offset 0xd8: Record type 7 subtype 3 too large.
 ])
 done
@@ -2275,7 +2275,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [dnl
 GET FILE='sys-file.sav'.
 ])
-  AT_CHECK_UNQUOTED([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK_UNQUOTED([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 "warning: \`sys-file.sav' near offset 0xd8: Unrecognized record type 7, subtype 30.  For help, please send this file to ${PACKAGE_BUGREPORT} and mention that you were using ${PACKAGE_STRING}."
 ])
 done
@@ -2305,7 +2305,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [dnl
 GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 "warning: `sys-file.sav' near offset 0xd8: Record type 7, subtype 3 has bad count 9 (expected 8)."
 ])
 done
@@ -2335,7 +2335,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [dnl
 GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], [dnl
 error: `sys-file.sav' near offset 0xd8: Floating-point representation indicated by system file (2) differs from expected (1).
 ])
 done
@@ -2367,7 +2367,7 @@ for variant in "be 1" "le 2"; do
 GET FILE='sys-file.sav'.
 DISPLAY DICTIONARY.
 ])
-  AT_CHECK_UNQUOTED([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK_UNQUOTED([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 warning: \`sys-file.sav' near offset 0xd8: Integer format indicated by system file (3) differs from expected ($[2]).
 
 Variable,Description,Position
@@ -2401,7 +2401,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [dnl
 GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 "warning: `sys-file.sav' near offset 0xd8: Record type 7, subtype 4 has bad count 4 (expected 3)."
 ])
 done
@@ -2430,7 +2430,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps | sed 's/ [(].*/.../'], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps | sed 's/ [(].*/.../'], [0], [dnl
 "warning: `sys-file.sav' near offset 0xd8: File specifies unexpected value 0...
 
 "warning: `sys-file.sav' near offset 0xd8: File specifies unexpected value 1...
@@ -2505,7 +2505,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 MRSETS /DISPLAY NAME=ALL.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 warning: `sys-file.sav': Multiple response set name `b' does not begin with `$'.
 
 warning: `sys-file.sav': Multiple response set name `e' does not begin with `$'.
@@ -2562,7 +2562,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 warning: `sys-file.sav' near offset 0xd8: Missing space following `C' at offset 4 in MRSETS record.
 ])
 done
@@ -2590,7 +2590,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 warning: `sys-file.sav' near offset 0xd8: Missing space following `E' at offset 4 in MRSETS record.
 ])
 done
@@ -2618,7 +2618,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 warning: `sys-file.sav' near offset 0xd8: Unexpected label source value following `E' at offset 7 in MRSETS record.
 
 warning: `sys-file.sav' near offset 0xd8: Expecting digit at offset 7 in MRSETS record.
@@ -2648,7 +2648,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 "warning: `sys-file.sav' near offset 0xd8: Missing `C', `D', or `E' at offset 3 in MRSETS record."
 ])
 done
@@ -2676,7 +2676,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 warning: `sys-file.sav' near offset 0xd8: Expecting digit at offset 4 in MRSETS record.
 ])
 done
@@ -2704,7 +2704,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 warning: `sys-file.sav' near offset 0xd8: Expecting space at offset 5 in MRSETS record.
 ])
 done
@@ -2732,7 +2732,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 warning: `sys-file.sav' near offset 0xd8: 4-byte string starting at offset 6 exceeds record length 9.
 ])
 done
@@ -2760,7 +2760,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 warning: `sys-file.sav' near offset 0xd8: Expecting space at offset 9 following 3-byte string.
 ])
 done
@@ -2788,7 +2788,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 warning: `sys-file.sav' near offset 0xd8: Missing new-line parsing variable names at offset 13 in MRSETS record.
 
 warning: `sys-file.sav': MRSET $a has only one variable.
@@ -2818,7 +2818,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 warning: `sys-file.sav': MRSET $a contains duplicate variable name NUM1.
 
 warning: `sys-file.sav': MRSET $a has only one variable.
@@ -2849,7 +2849,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 warning: `sys-file.sav': MRSET $a contains both string and numeric variables.
 
 warning: `sys-file.sav': MRSET $a has only one variable.
@@ -2879,7 +2879,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 warning: `sys-file.sav': MRSET $a has only one variable.
 ])
 done
@@ -2907,7 +2907,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 warning: `sys-file.sav': MRSET $a has only one variable.
 
 warning: `sys-file.sav': MRSET $b has no variables.
@@ -2938,7 +2938,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 "warning: `sys-file.sav' near offset 0xd8: Record type 7, subtype 11 has bad size 8 (expected 4)."
 ])
 done
@@ -2967,7 +2967,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 warning: `sys-file.sav' near offset 0xd8: Extension 11 has bad count 4 (for 1 variables).
 ])
 done
@@ -2996,7 +2996,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 warning: `sys-file.sav' near offset 0xd8: Invalid variable display parameters for variable 0 (NUM1).  Default parameters substituted.
 ])
 done
@@ -3025,7 +3025,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 warning: `sys-file.sav' near offset 0xd8: Invalid variable display parameters for variable 0 (NUM1).  Default parameters substituted.
 ])
 done
@@ -3055,7 +3055,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [dnl
 GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 warning: `sys-file.sav' near offset 0xde: Dictionary record refers to unknown variable xyzzy.
 ])
 done
@@ -3094,7 +3094,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [dnl
 GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 warning: `sys-file.sav' near offset 0x138: Long variable mapping from LONGVARI to invalid variable name `_Invalid'.
 
 warning: `sys-file.sav' near offset 0x138: Long variable mapping from LONGVARI to invalid variable name `$Invalid'.
@@ -3134,7 +3134,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [dnl
 GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], [dnl
 warning: `sys-file.sav' near offset 0xd8: NUM1 listed as string of invalid length 00000 in very long string record.
 
 "warning: `sys-file.sav' near offset 0xd8: NUM1 listed in very long string record with width 00255, which requires only one segment."
@@ -3173,7 +3173,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [dnl
 GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], [dnl
 error: `sys-file.sav' near offset 0x4f8: Very long string with width 256 has segment 1 of width 9 (expected 4).
 ])
 done
@@ -3195,7 +3195,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [dnl
 GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], [dnl
 error: `sys-file.sav' near offset 0xd4: Invalid number of labels 2147483647.
 ])
 done
@@ -3225,7 +3225,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [dnl
 GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], [dnl
 error: `sys-file.sav' near offset 0xe8: Variable index record (type 4) does not immediately follow value label record (type 3) as it should.
 ])
 done
@@ -3249,7 +3249,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [dnl
 GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], [dnl
 error: `sys-file.sav' near offset 0xec: Number of variables associated with a value label (0) is not between 1 and the number of variables (1).
 ])
 done
@@ -3280,7 +3280,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [dnl
 GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], [dnl
 error: `sys-file.sav' near offset 0xf4: Value labels may not be added to long string variables (e.g. STR1) using records types 3 and 4.
 ])
 done
@@ -3311,7 +3311,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [dnl
 GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], [dnl
 "error: `sys-file.sav' near offset 0xf4: Variables associated with value label are not all of identical type.  Variable STR1 is string, but variable NUM1 is numeric."
 ])
 done
@@ -3343,7 +3343,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [dnl
 GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 warning: `sys-file.sav' near offset 0xf4: Duplicate value label for `xyzzy ' on STR1.
 
 warning: `sys-file.sav' near offset 0x11c: Duplicate value label for 1 on NUM1.
@@ -3383,7 +3383,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [dnl
 GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 warning: `sys-file.sav' near offset 0xde: Error parsing attribute value Attr1[[1]].
 
 warning: `sys-file.sav' near offset 0x101: Error parsing attribute value fred[[2]].
@@ -3424,7 +3424,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [dnl
 GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 warning: `sys-file.sav' near offset 0xe4: Attribute value Attr1[[1]] is not quoted: value.
 
 warning: `sys-file.sav' near offset 0x106: Attribute value fred[[1]] is not quoted: 23.
@@ -3477,7 +3477,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [0], [dnl
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [0], [dnl
 warning: `sys-file.sav' near offset 0x128: Ignoring long string value label record for unknown variable STR9.
 
 warning: `sys-file.sav' near offset 0x164: Ignoring long string value label record for numeric variable NUM1.
@@ -3518,7 +3518,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 LIST.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], 
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], 
    [error: Error reading case from file `sys-file.sav'.
 
 Table: Data List
@@ -3555,7 +3555,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 LIST.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], 
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], 
    [error: `sys-file.sav' near offset 0x12c: File ends in partial case.
 
 Table: Data List
@@ -3589,7 +3589,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 LIST.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], 
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], 
    [error: `sys-file.sav' near offset 0x12a: Unexpected end of file.
 
 Table: Data List
@@ -3637,7 +3637,7 @@ for variant in be le; do
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 LIST.
 ])
-  AT_CHECK([pspp -O format=csv sys-file.sps], [1], 
+  AT_CHECK([$RUNNER $PSPP -O format=csv sys-file.sps], [1], 
    [error: `sys-file.sav' near offset 0x1ac: File ends in partial case.
 
 Table: Data List
@@ -3654,7 +3654,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps], [1], [error: `sys-file.sav' near offset 0x194: Wrong ZLIB data header offset 0 (expected 0x194).
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps], [1], [error: `sys-file.sav' near offset 0x194: Wrong ZLIB data header offset 0 (expected 0x194).
 ])
 done
 AT_CLEANUP
@@ -3666,7 +3666,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps], [1], [error: `sys-file.sav' near offset 0x194: Impossible ZLIB trailer offset 0x0.
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps], [1], [error: `sys-file.sav' near offset 0x194: Impossible ZLIB trailer offset 0x0.
 ])
 done
 AT_CLEANUP
@@ -3680,7 +3680,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps], [1], [error: `sys-file.sav' near offset 0x194: Invalid ZLIB trailer length 12.
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps], [1], [error: `sys-file.sav' near offset 0x194: Invalid ZLIB trailer length 12.
 ])
 done
 AT_CLEANUP
